Skip to content

Get one CRS

Request

Get one CRS (any sub-type) given its essence

Security
bearer
Query
modestring

The mode of return: 'persistable_reference' (default) string or 'essence' structure or 'persistable_reference_essence' i.e. the combination of other 2 options.

Default:"persistable_reference"
Headers
data-partition-idstringrequired

desired data partition id

Bodyapplication/json

A unique description of a coordinate reference system (CRS), either as persistable reference string or essence JSON.

persistableReferencestring

The persistable reference string, either the essence of the CRS serialized into a JSON string or an encoded string (version 1).

Example:"{\"wkt\":\"GEOGCS[\\\"GCS_North_American_1927\\\",DATUM[\\\"D_North_American_1927\\\",SPHEROID[\\\"Clarke_1866\\\",6378206.4,294.9786982]],PRIMEM[\\\
essenceobject(Any CRS Essence)

Any coordinate reference system essence carrying all possible properties for LateBoundCRSEssence, EarlyBoundCRSEssence and CompoundCRSEssence.

Example:
{ "authCode": { "auth": "EPSG", "code": "4267" }, "type": "LBC", "ver": "PE_10_3_1", "name": "GCS_North_American_1927", "wkt": "GEOGCS[\"GCS_North_American_1927\",DATUM[\"D_North_American_1927\",SPHEROID[\"Clarke_1866\",6378206.4,294.9786982]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433],AUTHORITY[\"EPSG\",4267]]" }
curl -i -X POST \
  'https://as5.api.enterprisedata.slb.com/api/crs/catalog/v2/crs?mode=persistable_reference' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'data-partition-id: string' \
  -d '{
    "persistableReference": "{\"wkt\":\"GEOGCS[\\\"GCS_North_American_1927\\\",DATUM[\\\"D_North_American_1927\\\",SPHEROID[\\\"Clarke_1866\\\",6378206.4,294.9786982]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433],AUTHORITY[\\\"EPSG\\\",4267]]\",\"ver\":\"PE_10_3_1\",\"name\":\"GCS_North_American_1927\",\"authCode\":{\"auth\":\"EPSG\",\"code\":\"4267\"},\"type\":\"LBC\"}",
    "essence": {
      "authCode": {
        "auth": "EPSG",
        "code": "4267"
      },
      "type": "LBC",
      "ver": "PE_10_3_1",
      "name": "GCS_North_American_1927",
      "wkt": "GEOGCS[\"GCS_North_American_1927\",DATUM[\"D_North_American_1927\",SPHEROID[\"Clarke_1866\",6378206.4,294.9786982]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433],AUTHORITY[\"EPSG\",4267]]"
    }
  }'

Responses

A successful response

Bodyapplication/json
essenceobject(Any CRS Essence)

Any coordinate reference system essence carrying all possible properties for LateBoundCRSEssence, EarlyBoundCRSEssence and CompoundCRSEssence.

crstypestring(CRS-Type)

The type of ths CRS.

sourcestring(Source)

The source of ths CRS.

transformationReadyboolean(Transformation Ready)

The Transformation readiness of this CRS.

baseCRSAuthorityCodeobject(Authority Code)

The AuthorityCode for this item.

aliasNamesArray of strings(Alias Names)

Alias names for this CRS.

axisUnitsArray of strings(Axis Units)

Axis Unit Essences.

numberOfAxesinteger(Number of Axes)

The NumberOfAxes of this CRS.

descriptionstring(Description)

The description of this CRS.

lastModifiedstring(LastModified)

The LastModified of this CRS.

areaOfUseobject(AreaOfUse)

The AreaOfUse class.

deprecationInfoobject(CRS Deprecation Info)

Deprecation information for a coordinate reference system.

namedReferenceobject(NamedReference)

Name and Persistable Reference (the essence converted to a JSON string).

Response
{ "essence": { "type": "LBC", "name": "GCS_WGS_1984", "ver": "PE_10_3_1", "wkt": "GEOGCS[\"GCS_WGS_1984\",DATUM[\"D_WGS_1984\",SPHEROID[\"WGS_1984\",6378137.0,298.257223563]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433],AUTHORITY[\"EPSG\",4326]]", "lateBoundCRS": { … }, "singleCT": { … }, "compoundCT": { … }, "horzLateBoundCRS": { … }, "horzEarlyBoundCRS": { … }, "vertLateBoundCRS": { … }, "vertEarlyBoundCRS": { … }, "authCode": { … } }, "crstype": "string", "source": "string", "transformationReady": true, "baseCRSAuthorityCode": { "auth": "EPSG", "code": "4326" }, "aliasNames": [ "string" ], "axisUnits": [ "string" ], "numberOfAxes": 0, "description": "string", "lastModified": "string", "areaOfUse": { "id": "string", "name": "string", "description": "string", "lastModified": "string", "namedReference": { … }, "essence": { … } }, "deprecationInfo": { "deprecationState": "string", "remarks": "string", "supersededByCRS": { … } }, "namedReference": { "name": "string", "persistableReference": "string" } }